import pandas as pd
import numpy as np
import utils
from Student import Student
from sklearn.preprocessing import StandardScaler


# Create Users instances
owner_user = utils.User("info@openmined.org", "changethis", "Owner")
data_scientist_user = utils.User("DataScientist@gmail.com", "DataScientist", "Data Scientist")

dataset = '../data/df_consultas.csv'
df = pd.read_csv(dataset, index_col=False)
df.drop('Unnamed: 0', axis=1, inplace=True) #drop ununsed column 

student = Student("http://localhost:8081", 
	owner_user, 'data', 
	"http://localhost:8081", 
	data_scientist_user,
	df, 
	sleep_time=60,
	retries=50)

values = student.run()

print('FINAL RESULT')
print(values)
